
Smart Proxy - Bug #13551

Validate IP addresses passed to the DNS API

02/03/2016 03:25 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: API   

Target version: 1.11.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/399

  

Description

Currently IP addresses are not verified and psased on straight to the backends. This may be a security risk if DNS plugins do not

properly validate their input.

Related issues:

Related to Smart Proxy - Bug #13552: Validate DNS names passed to the DNS API Closed 02/03/2016

Associated revisions

Revision b85ad0e5 - 03/24/2016 07:33 AM - Ewoud Kohl van Wijngaarden 

Fixes #13551: Add IP address validation in DNS API

History

#1 - 02/03/2016 03:26 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #13552: Validate DNS names passed to the DNS API added

#2 - 03/23/2016 09:39 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/smart-proxy/pull/399 added

#3 - 03/24/2016 08:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b85ad0e5ae3bbe8bb80872eba041f2a7cc71952a.

#4 - 03/24/2016 08:06 AM - Dominic Cleal

- translation missing: en.field_release set to 141
